Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.opensymphony.xwork2.XWorkTestCase
                  org.apache.struts2.StrutsTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class StrutsTestCase

extends XWorkTestCase

Base test case for JUnit testing Struts.

Field Summary

Fields inherited from class com.opensymphony.xwork2.XWorkTestCase
`actionProxyFactory, configuration, configurationManager, container`

Constructor Summary
`StrutsTestCase()`

Method Summary
`protected Dispatcher` | `initDispatcher(Map<String,String> params)`
`protected void` | `setUp()` Sets up the configuration settings, XWork configuration, and message resources
`protected void` | `tearDown()`

Methods inherited from class com.opensymphony.xwork2.XWorkTestCase
`loadConfigurationProviders`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrutsTestCase

    public StrutsTestCase()

Method Detail

### setUp

    protected void setUp()
                  throws Exception

  Sets up the configuration settings, XWork configuration, and message resources

  Overrides:
    `setUp` in class `XWorkTestCase`
  Throws:
    `Exception`

### initDispatcher

    protected Dispatcher initDispatcher(Map<String,String> params)

### tearDown

    protected void tearDown()
                     throws Exception

  Overrides:
    `tearDown` in class `XWorkTestCase`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.